% Script to set Simulink Configuration Parameters so that all names that
% appear in the block diagram, also appear in the SDF, making them
% accessible in ControlDesk.

%% Code Generation -> RTI variable description file options
    % Include signal labels
    set_param(bdroot, 'TRCGenerateLabels', 'on')
    
    % Include virtual blocks
    set_param(bdroot, 'TRCGenerateVirtualBlocks', 'on')
    
%% Optimization -> Advanced parameters
    % BlockReduction
     set_param(bdroot, 'BlockReduction', 'off') % Selecting "on" is not supported.
     
    % Reuse local block outputs
     set_param(bdroot, 'BufferReuse', 'off')  % No effect seen.
     
    % Eliminate superfluous local variables   
    set_param(bdroot, 'ExpressionFolding', 'off')  % No effect seen.
    
%% Optimization -> Signals and Parameters -> Code generation
    % Inline invariant signals
    % set_param(bdroot, 'InlineInvariantSignals', 'off')  % No effect seen,
    % and trying to set it creates a warning in the build process.